// MMServer.m
//
// Copyright (c) 2013 Mutual Mobile (http://www.mutualmobile.com/)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import "MMServer.h"

static MMServerSessionTimeoutBlock MM_ServerSessionTimeoutBlock;

@implementation MMServer

+ (void)registerSessionTimeoutBlock:(MMServerSessionTimeoutBlock)block {
    MM_ServerSessionTimeoutBlock = [block copy];
}

+ (void)cancelRequestsWithDomain:(id)domain {
    [self doesNotRecognizeSelector:_cmd];
}

+ (void)startRequestWithURN:(NSString *)URN
                       data:(NSDictionary *)data
                      paged:(BOOL)paged
                     domain:(id)domain
                    batched:(BOOL)batched
              dispatchGroup:(dispatch_group_t)dispatchGroup
              responseBlock:(void(^)(id responseObject))responseBlock
               failureBlock:(void(^)(NSError *error))failureBlock { 
    [self doesNotRecognizeSelector:_cmd];
}

+ (NSURLRequest *)requestWithURN:URN data:(NSDictionary *)data {
    [self doesNotRecognizeSelector:_cmd];
    return nil;
}

+ (MMServerSessionTimeoutBlock)sessionTimeoutBlock {
    return MM_ServerSessionTimeoutBlock;
}

#pragma mark - Paging

+ (Class)pageManagerClass {
    return nil;
}

@end

